低危 Android SDK Platform Tool堆缓冲区溢出漏洞

CVE编号

CVE-2014-1909

利用情况

暂无

补丁情况

官方补丁

披露时间

2014-05-14
漏洞描述
Android SDK 是Android专属的软件开发工具包。

Android SDK Platform Tool存在堆缓冲区溢出漏洞,由于未能对用户提供的数据执行适当的边界检查。攻击者可利用此漏洞在应用程序的上下文中执行任意代码。
解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
http://www.android.com/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 google android_debug_bridge - -
运行在以下环境
应用 google android_sdk_platform_tools 18.0.1 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
4.2.2+git20130529-5.1
运行在以下环境
系统 fedora_21 android-tools * Up to
(excluding)
20141219git8393e50-2.fc21
运行在以下环境
系统 fedora_21 android-tools-debuginfo * Up to
(excluding)
20141219git8393e50-2.fc21
运行在以下环境
系统 ubuntu_16.04.7_lts android-tools * Up to
(excluding)
4.2.2+git20130529-5.1
运行在以下环境
系统 ubuntu_18.04.5_lts android-tools * Up to
(excluding)
4.2.2+git20130529-5.1
运行在以下环境
系统 ubuntu_18.10 android-tools * Up to
(excluding)
4.2.2+git20130529-5.1
阿里云评分
2.3
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    -
CWE-ID 漏洞类型
CWE-189 数值错误
阿里云安全产品覆盖情况